﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@using Microsoft.AspNetCore.Http;
@model CyberaniumModels.IRA

<script src="~/Script/ApplicationManagement/IRA.js"></script>
<h2 class="h2class">Process Assigned to You</h2>
<div class="boxgrey">
    <div class="boxone">
        <div class="col">
            <ul class="orgmap">
                @foreach (var item in Model.FunctionList)
                {
                    var processList = Model.ProcessList.Where(x => x.FunctionID == item.Id && x.AssignToUserId == Convert.ToInt64(Context.Session.GetInt32("UserId"))).ToList();
                    if (processList.Count > 0)
                    {
                        <li class="first">
                            <div>
                                <span class="text">@item.FunctionName</span>
                            </div>
                            <ul>
                                @foreach (var _item in processList)
                                {
                                    <li>
                                        <div>
                                            <span class="text">@_item.ProcessName</span>
                                            <a href="#" class="procesClass" onclick="GetDomainCriticalityScore('@Model.OrgId', '@item.Id', '@_item.Id', '@_item.ProcessName', '@_item.ProcessOwner', '@_item.ProcessDescription');fn_ShowGetOrgCategory('@Model.OrgId', '@item.Id', '@_item.Id');">
                                                <span class="icon"><i class="fa fa-caret-right fa-3x" style="padding-top:7px;"></i></span>
                                            </a>
                                        </div>
                                    </li>
                                }
                            </ul>
                        </li>
                    }
                }
            </ul>
        </div>
    </div>
    @*<div class="tabanchor">
        <p>Other Process<span><a href="#" onclick="ManageDivHideShow('#divProcessAssignToUser')"><i class="fa fa-user-plus fa-2x"></i></a></span></p>
        <div class="col boxone">
            <ul class="orgmap">
                @foreach (var item in Model.FunctionList)
                {
                    var processList = Model.ProcessList.Where(x => x.FunctionID == item.Id).ToList();
                    <li class="first inactive">
                        <div>
                            <span class="text">@item.FunctionName</span>
                            @if (processList.Where(x => x.AssignToUserId > 0).ToList().Count > 0)
                            {
                                <span class="icon" title="All processes of this function has assigned"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                            }
                            else
                            {
                                <span class="icon" title="Some processes of this function need to assign"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                            }
                        </div>
                        <ul>
                            @foreach (var _item in processList)
                            {
                                <li>
                                    <div>
                                        <span class="text">@_item.ProcessName</span>
                                        @if (_item.AssignToUserId > 0)
                                        {
                                            <span class="icon" title="Already assigned"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                        }
                                        else
                                        {
                                            <span class="icon" title="un-assigned"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                        }
                                    </div>
                                </li>
                            }
                        </ul>
                    </li>
                }
            </ul>
            <div class="clsHints">
                <span class="icon" style="float:left">
                    <img src="~/Image/CreateOrganogram/Circle_Information.png" />Assigned &emsp;
                    <img src="~/Image/CreateOrganogram/Trangle_Warning.png" />Unassigned
                </span>
            </div>
        </div>
    </div>*@
</div>